Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.convert
Class WebMacro

    java.lang.Object
      |
      +--org.apache.velocity.convert.WebMacro

public class WebMacro
extends java.lang.Object

This class will convert a WebMacro template to a Velocity template. Uses the ORO Regexp package to do the rewrites. Note, it isn't 100% perfect, but will definitely get you about 99.99% of the way to a converted system. Please see the website documentation for more information on how to use this class.

Version:
  $Id: WebMacro.java,v 1.20 2001/10/22 03:53:23 jon Exp $
Author:
  Jason van Zyl, Daniel Rall

Field Summary
`protected static java.lang.String[]` | `perLineREs` The regexes to use for line by line substition.
`protected static java.lang.String` | `VM_EXT`
`protected static java.lang.String` | `WM_EXT`

Constructor Summary
`WebMacro()`

Method Summary
`void` | `convert(java.lang.String target)` Iterate through the set of find/replace regexes that will convert a given WM template to a VM template
`private java.lang.String` | `convertName(java.lang.String name)` Simple extension conversion of .wm to .vm
`java.lang.String` | `convertTemplate(java.lang.String template)` Apply find/replace regexes to our WM template
`private java.lang.String` | `extractPath(java.lang.String file)` Gets the path segment of the full path to a file (i.e.
`static void` | `main(java.lang.String[] args)` Main hook for the conversion process.
`private java.lang.String` | `makeSubstRE(int i)` Makes a Perl 5 regular expression for use by ORO.
`private static void` | `usage()` How to use this little puppy :-)
`private boolean` | `writeTemplate(java.lang.String file, java.lang.String basedir, java.lang.String newBasedir)` Write out the converted template to the given named file and base directory.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### VM_EXT

    protected static final java.lang.String VM_EXT

### WM_EXT

    protected static final java.lang.String WM_EXT

### perLineREs

    protected static java.lang.String[] perLineREs

  The regexes to use for line by line substition. The regexes come in pairs. The first is the string to match, the second is the substitution to make.

Constructor Detail

### WebMacro

    public WebMacro()

Method Detail

### convert

    public void convert(java.lang.String target)

  Iterate through the set of find/replace regexes that will convert a given WM template to a VM template

### writeTemplate

    private boolean writeTemplate(java.lang.String file,
                                  java.lang.String basedir,
                                  java.lang.String newBasedir)

  Write out the converted template to the given named file and base directory.

### extractPath

    private final java.lang.String extractPath(java.lang.String file)

  Gets the path segment of the full path to a file (i.e. one which originally included the file name).

### convertName

    private java.lang.String convertName(java.lang.String name)

  Simple extension conversion of .wm to .vm

### usage

    private static final void usage()

  How to use this little puppy :-)

### convertTemplate

    public java.lang.String convertTemplate(java.lang.String template)

  Apply find/replace regexes to our WM template

### makeSubstRE

    private final java.lang.String makeSubstRE(int i)

  Makes a Perl 5 regular expression for use by ORO.

### main

    public static void main(java.lang.String[] args)

  Main hook for the conversion process.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.